petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMS

multi-stage smoothers

### Options Database

| -snes_ms_type | - type of multi-stage smoother Many br
| -snes_ms_damping | - damping for multi-stage method Many br

### Notes

These multistage methods are explicit Runge-Kutta methods that are often used as smoothers for Many brFAS multigrid for transport problems. In the linear case, these are equivalent to polynomial smoothers (such as Chebyshev). Many br

Multi-stage smoothers should usually be preconditioned by point-block Jacobi to ensure proper scaling and to normalize the wave speeds. Many br

The methods are specified in low storage form (Ketcheson 2010). New methods can be registered with SNESMSRegister(). Many br

### References

| 1. | - Ketcheson (2010) Runge Kutta methods with minimum storage implementations. Many br
| 2. | - Jameson (1983) Solution of the Euler equations for two dimensional transonic flow by a multigrid method. Many br
| 3. | - Pierce and Giles (1997) Preconditioned multigrid methods for compressible flow calculations on stretched meshes. Many br

Many br

### See Also

SNESCreate(), SNES, SNESSetType(), SNESMS, SNESFAS, KSPCHEBYSHEV

Level:beginner
Location:src/snes/impls/ms/ms.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages